Subject: bug#20154: 25.0.50; json-encode-string is too slow for large strings

From: Dmitry Gutov <[email-masked]>
Date: Sun, 22 Mar 2015 19:10:02 +0200

On 03/22/2015 06:50 PM, Eli Zaretskii wrote:

> Did you try a 'cond' with specific characters instead of calling
> rassoc every time?  The list in json-special-chars is not long, is it?

Tried that now, but it only made performance worse, by a few ms.

And anyway, I wouldn't want to duplicate json-special-chars, that list 
is also used in another function.